function [F] = DecodeAll(Fcode,finit,T,Tsize,Trelab,numdigits,startofdigit,endofdigit)
%DECODEALL loops through Fcode, applying the Decode function to each row.
%
% INPUT:  Fcode is an n by numdigits numeric array representing an encoded 
%         set of system states, where n is the cardinality of the set.
%
%         finit,...,endofdigit are parameters of the Decode function (see
%         Decode function help for details).
%
% OUTPUT: F is an n by p numeric array representing the decoded set of
%         system states, where p is the number of system domain places.
%
% See also, Decode, Encode, GenerateCodingScheme, IDComponentTypes
%             
% Author:   Scott Bugenhagen
% Contact:  sbugenha@mcw.edu
% Date:     8/30/2011

p = length(finit);
Fsize = size(Fcode,1);
F = zeros(Fsize,p);
for i = 1:Fsize
    F(i,:) = Decode(Fcode(i,:),finit,T,Tsize,Trelab,numdigits, ...
                                                  startofdigit,endofdigit);
end
end